package com.ruoyi.quote.service.impl;

import com.ruoyi.quote.domain.MaterialDto;
import com.ruoyi.quote.mapper.QuoteMapper;
import com.ruoyi.quote.service.QuoteService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @ClassName QuoteServiceImpl
 * @Description TODO
 * @Author JIAL
 * @Date 2024/3/5 16:07
 * @Version 1.0
 */
@Service
public class QuoteServiceImpl implements QuoteService {

    @Autowired
    QuoteMapper quoteMapper;

    /**
     * @title queryMaterialListByParam
     * @description 根据条件查询物料信息
     * @author JIAL
     * @param: precMaterialName
     * @param: vagueMaterialName
     * @param: vagueModel
     * @updateTime 2024/3/5 16:16
     * @return: java.util.List<com.ruoyi.quote.domain.MaterialDto>
     */
    public List<MaterialDto> queryMaterialListByParam(String precMaterialName, String vagueMaterialName, String vagueModel) {
        return quoteMapper.selectMaterialListByParam(precMaterialName, vagueMaterialName, vagueModel);
    }
}
